> ## Documentation Index
> Fetch the complete documentation index at: https://docs.halth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Approve registration

> Approve a registration for a provider



## OpenAPI

````yaml https://api.halth.com/v1/api-yaml post /v1/organisations/{organisationId}/providers/{providerId}/registrations/approve
openapi: 3.0.0
info:
  title: HaltH API
  description: The API for the HaltH platform business services
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.halth.com
    description: Production
  - url: https://api.stg.halth.com
    description: Staging
security: []
tags: []
paths:
  /v1/organisations/{organisationId}/providers/{providerId}/registrations/approve:
    post:
      tags:
        - Provider
      summary: Approve registration
      description: Approve a registration for a provider
      operationId: ProviderController_approveRegistration
      parameters:
        - name: organisationId
          required: true
          in: path
          schema:
            type: string
        - name: providerId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProviderRegistrationApproveParams'
      responses:
        '201':
          description: ''
components:
  schemas:
    ProviderRegistrationApproveParams:
      type: object
      properties:
        type:
          enum:
            - medicare
            - phi
          type: string
          description: The type of registration to approve
        phi:
          $ref: '#/components/schemas/ProviderRegistrationApprovePhiParams'
      required:
        - type
    ProviderRegistrationApprovePhiParams:
      type: object
      properties:
        providerLocationLinkId:
          type: string
          description: The ID of the provider location link to approve
      required:
        - providerLocationLinkId

````